Artifact Link Types - List

Get the list of work item tracking outbound artifact link types.

GET https://dev.azure.com/{organization}/_apis/wit/artifactlinktypes?api-version=6.0-preview.1

URI Parameters

Name In Required Type Description
organization
path True
  • string

The name of the Azure DevOps organization.

api-version
query True
  • string

Version of the API to use. This should be set to '6.0-preview.1' to use this version of the api.

Responses

Name Type Description
200 OK

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.work Grants the ability to read work items, queries, boards, area and iterations paths, and other work item tracking related metadata. Also grants the ability to execute queries, search work items and to receive notifications about work item events via service hooks.

Examples

Sample Request

GET https://dev.azure.com/fabrikam/_apis/wit/artifactlinktypes?api-version=6.0-preview.1

Sample Response

{
  "count": 16,
  "value": [
    {
      "toolType": "Git",
      "artifactType": "Branch",
      "linkType": "Branch"
    },
    {
      "toolType": "Build",
      "artifactType": "Build",
      "linkType": "Build"
    },
    {
      "toolType": "VersionControl",
      "artifactType": "Changeset",
      "linkType": "Fixed in Changeset"
    },
    {
      "toolType": "Git",
      "artifactType": "Commit",
      "linkType": "Fixed in Commit"
    },
    {
      "toolType": "Build",
      "artifactType": "Build",
      "linkType": "Found in build"
    },
    {
      "toolType": "Build",
      "artifactType": "Build",
      "linkType": "Integrated in build"
    },
    {
      "toolType": "ArchitectureTools",
      "artifactType": "ModelLink",
      "linkType": "Model Link"
    },
    {
      "toolType": "Git",
      "artifactType": "PullRequestId",
      "linkType": "Pull Request"
    },
    {
      "toolType": "WorkItemTracking",
      "artifactType": "Workitem",
      "linkType": "Related Workitem"
    },
    {
      "toolType": "TestManagement",
      "artifactType": "TcmResultAttachment",
      "linkType": "Result Attachment"
    },
    {
      "toolType": "VersionControl",
      "artifactType": "LatestItemVersion",
      "linkType": "Source Code File"
    },
    {
      "toolType": "Requirements",
      "artifactType": "Storyboard",
      "linkType": "Storyboard"
    },
    {
      "toolType": "Git",
      "artifactType": "Tag",
      "linkType": "Tag"
    },
    {
      "toolType": "TestManagement",
      "artifactType": "TcmTest",
      "linkType": "Test"
    },
    {
      "toolType": "TestManagement",
      "artifactType": "TcmResult",
      "linkType": "Test Result"
    },
    {
      "toolType": "WorkItemTracking",
      "artifactType": "Hyperlink",
      "linkType": "Workitem Hyperlink"
    }
  ]
}

Definitions

A work artifact link describes an outbound artifact link type.

Name Type Description
artifactType
  • string

Target artifact type.

linkType
  • string

Outbound link type.

toolType
  • string

Target tool type.